Home of the Squeezebox™ & Transporter® network music players.
Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 23
  1. #11
    Member
    Join Date
    Jul 2017
    Location
    Bury - UK
    Posts
    49
    Quote Originally Posted by slartibartfast View Post
    Maybe that is the issue. The Touch is not connected to LMS.

    Sent from my Pixel 3a using Tapatalk
    That's a potential... it isn't connected to my LMS (8) - that was the reason I let it update in the first place.

    But perhaps connecting to mysqueezebox.com causes an incorrect version to get installed (I only updated it because I couldn't connect to my music library).

    I can't get it to connect however - never had a problem with it before.

    I'll go and have a fiddle (might reboot the pc just for good measure) just to be clear.
    13 x Classic / 4 x Boom / 2 x Touch / 2 x Radio / 3 Duet / 3 Controller / W10 LMS 8.0.0

  2. #12
    Senior Member
    Join Date
    Jan 2010
    Location
    Hertfordshire
    Posts
    6,262
    Quote Originally Posted by merlineng View Post
    That's a potential... it isn't connected to my LMS (8) - that was the reason I let it update in the first place.

    But perhaps connecting to mysqueezebox.com causes an incorrect version to get installed (I only updated it because I couldn't connect to my music library).

    I can't get it to connect however - never had a problem with it before.

    I'll go and have a fiddle (might reboot the pc just for good measure) just to be clear.
    What happens when you click on My Music on the Touch?

    Sent from my Pixel 3a using Tapatalk

  3. #13
    Member
    Join Date
    Jul 2017
    Location
    Bury - UK
    Posts
    49
    Quote Originally Posted by slartibartfast View Post
    What happens when you click on My Music on the Touch?

    Sent from my Pixel 3a using Tapatalk
    I get the same message about the requirement to update my LMS to a newer version.

    I'm getting really confused now.


    I can't connect to my server ('DELL').

    There's an option on the Touch called Squeezebox Server (but I've never used it) which I think means the Touch can act as a server (if I use a USB stick as media).

    This also reports that LMS isn't running (basically the Touch can't see it? or is it saying it's own internal LMS isn't running?) - I've no idea what the 'Scanner' is.

    Name:  Touch - LMS not running.jpg
Views: 164
Size:  58.8 KB

    The bit that confuses me, is that the Touch can 'connect' with the other players on the LMS network that it claims that it can't see (unless this is just cached info from when it could see the other players). I've not tried to select one of the other players yet, but it's certainly contradictory information.

    Name:  Touch - can see other players.jpg
Views: 170
Size:  44.5 KB

    !!
    13 x Classic / 4 x Boom / 2 x Touch / 2 x Radio / 3 Duet / 3 Controller / W10 LMS 8.0.0

  4. #14
    Senior Member
    Join Date
    Jan 2010
    Location
    Hertfordshire
    Posts
    6,262
    Quote Originally Posted by merlineng View Post
    I get the same message about the requirement to update my LMS to a newer version.

    I'm getting really confused now.


    I can't connect to my server ('DELL').

    There's an option on the Touch called Squeezebox Server (but I've never used it) which I think means the Touch can act as a server (if I use a USB stick as media).

    This also reports that LMS isn't running (basically the Touch can't see it? or is it saying it's own internal LMS isn't running?) - I've no idea what the 'Scanner' is.

    Name:  Touch - LMS not running.jpg
Views: 164
Size:  58.8 KB

    The bit that confuses me, is that the Touch can 'connect' with the other players on the LMS network that it claims that it can't see (unless this is just cached info from when it could see the other players). I've not tried to select one of the other players yet, but it's certainly contradictory information.

    Name:  Touch - can see other players.jpg
Views: 170
Size:  44.5 KB

    !!
    Have you considered just buying a Raspberry Pi to run LMS?

    Sent from my Pixel 3a using Tapatalk

  5. #15
    Member
    Join Date
    Jul 2017
    Location
    Bury - UK
    Posts
    49
    Quote Originally Posted by slartibartfast View Post
    Have you considered just buying a Raspberry Pi to run LMS?

    Sent from my Pixel 3a using Tapatalk
    Ha Ha - not yet - I'm sure it will come - but all was working fine 2-3 days ago...

    It started going wrong about 'here' on the 26th November... I've not seen this kind of message in the log before.


    [20-11-26 22:20:25.4778] Plugins::ShairTunes2W::Plugin:ublishPlayer (440) avahi-publish-player not in path
    [20-11-26 22:20:25.4782] Plugins::ShairTunes2W::Plugin:ublishPlayer (443) start dns-sd "Living"
    [20-11-26 22:20:25.4814] Plugins::ShairTunes2W::Plugin::addPlayer (348) create client Slim::Player::Squeezebox2=ARRAY(0xaf04ab4) with proc Proc::Background=HASH(0xaefc814)
    [20-11-26 22:20:39.8293] Slim::Networking::Repositories::__ANON__ (147) Failed to fetch https://repos.squeezecommunity.org/extensions.xml: Connect timed out: Bad file descriptor
    [20-11-27 00:09:32.0687] Slim::Networking::SqueezeNetwork::Players::_player s_error (377) Unable to get players from SN: Couldn't resolve IP address for: www.mysqueezebox.com, retrying in 900 seconds
    [20-11-27 01:28:32.0762] Slim::Networking::SqueezeNetwork::Players::_player s_error (377) Unable to get players from SN: Couldn't resolve IP address for: www.mysqueezebox.com, retrying in 900 seconds
    [20-11-27 01:30:12.0952] Slim::Networking::SqueezeNetwork::Players::_player s_error (377) Unable to get players from SN: Couldn't resolve IP address for: www.mysqueezebox.com, retrying in 900 seconds
    [20-11-27 01:30:42.0568] Slim::Networking::SqueezeNetwork::_error (431) Unable to login to SN: Couldn't resolve IP address for: www.mysqueezebox.com
    [20-11-27 01:30:42.0576] Slim::Networking::SqueezeNetwork::Players::_player s_error (377) Unable to get players from SN: Couldn't resolve IP address for: www.mysqueezebox.com, retrying in 1800 seconds
    [20-11-27 01:34:37.1085] Slim::Networking::SqueezeNetwork::Players::_player s_error (377) Unable to get players from SN: Couldn't resolve IP address for: www.mysqueezebox.com, retrying in 900 seconds
    [20-11-27 04:46:25.0647] Slim::Networking::Async::connect (114) Failed to connect to www.mysqueezebox.com:443, because
    Net::HTTP: connect: timeout
    [20-11-27 04:46:25.0657] Slim::Networking::SqueezeNetwork::Players::_player s_error (377) Unable to get players from SN: Connect timed out: A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond., retrying in 900 seconds
    [20-11-27 04:46:58.0100] Slim::Networking::Async::connect (114) Failed to connect to www.mysqueezebox.com:443, because
    Net::HTTP: connect: timeout
    13 x Classic / 4 x Boom / 2 x Touch / 2 x Radio / 3 Duet / 3 Controller / W10 LMS 8.0.0

  6. #16
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,526

    Touch 'requesting' LMS update

    > slartibartfast wrote:
    >> What happens when you click on My Music on the Touch?
    >>
    >> Sent from my Pixel 3a using Tapatalk

    >
    > I get the same message about the requirement to update my LMS to a newer
    > version.


    Hmm.... I have to find the discussion around a similar issue with the
    Radio. I'm wondering whether we're actually hitting the same bug with
    some older Touch firmware where the version comparison would fail. I
    think it was only fixed in 7.8.x, but the official firmware release
    still is 7.7.x!

    If you checked Settings/Advanced/Updates on the Touch itself (while LMS
    was running), would you see an update to 7.8.x?

    --

    Michael

  7. #17
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,526

    Touch 'requesting' LMS update

    > Hmm.... I have to find the discussion around a similar issue with the
    > Radio. I'm wondering whether we're actually hitting the same bug with
    > some older Touch firmware where the version comparison would fail.


    Confirmed. The firmware distributed by mysb.com would have the buggy
    version comparison... SB Touch players which have never connected to a
    LMS 7.8 or later thus would fail to connect to LMS8. Ouch!

    I've added a change to 8.0.1 which would handle the issue the same way
    as with the Radio (without patching the firmware). It would allow Touch
    to connect to LMS8, and on first connect it would update the firmware to
    the fixed 7.8.0 version.

    > If you checked Settings/Advanced/Updates on the Touch itself (while LMS
    > was running), would you see an update to 7.8.x?


    It's actually "Software Updates". You could download the firmware to an
    SD card or USB stick to update the Touch from it. Or you wait for the
    next build of LMS 8.0.1, which should allow you to update and connect.

    --

    Michael

  8. #18
    Member
    Join Date
    Jul 2017
    Location
    Bury - UK
    Posts
    49
    Quote Originally Posted by mherger View Post
    > Hmm.... I have to find the discussion around a similar issue with the
    > Radio. I'm wondering whether we're actually hitting the same bug with
    > some older Touch firmware where the version comparison would fail.


    Confirmed. The firmware distributed by mysb.com would have the buggy
    version comparison... SB Touch players which have never connected to a
    LMS 7.8 or later thus would fail to connect to LMS8. Ouch!

    I've added a change to 8.0.1 which would handle the issue the same way
    as with the Radio (without patching the firmware). It would allow Touch
    to connect to LMS8, and on first connect it would update the firmware to
    the fixed 7.8.0 version.

    > If you checked Settings/Advanced/Updates on the Touch itself (while LMS
    > was running), would you see an update to 7.8.x?


    It's actually "Software Updates". You could download the firmware to an
    SD card or USB stick to update the Touch from it. Or you wait for the
    next build of LMS 8.0.1, which should allow you to update and connect.

    --

    Michael
    Thanks Michael - that was my suspicion - the Radio and Touch are very similar in their operation. I did hint at this possibility further up this thread - but don't have the means (or brains! ) to verify it!

    Where do I find the firmware to put on a usb stick? And how do I force that upgrade.

    I'm certain that if I try to upgrade now via the Touch, it tells me that it's the version I'm already on, but can perform a 're-install' if I wish.

    I'm dragging a Christmas tree round the house right now (but LMS issues play on my mind so I've sneaked off into my office to check for replies... ) so can't do an immediate fix.


    Many thanks
    Tony
    13 x Classic / 4 x Boom / 2 x Touch / 2 x Radio / 3 Duet / 3 Controller / W10 LMS 8.0.0

  9. #19
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,526

    Touch 'requesting' LMS update

    > Where do I find the firmware to put on a usb stick? And how do I force
    > that upgrade.


    You shouldn't need to. Just install the latest 8.0.1 nightly build. Once
    you try to connect your Touch to it it should offer the update instead
    of the message you got before.

    --

    Michael

  10. #20
    Member
    Join Date
    Jul 2017
    Location
    Bury - UK
    Posts
    49
    Quote Originally Posted by mherger View Post
    > Where do I find the firmware to put on a usb stick? And how do I force
    > that upgrade.


    You shouldn't need to. Just install the latest 8.0.1 nightly build. Once
    you try to connect your Touch to it it should offer the update instead
    of the message you got before.

    --

    Michael
    Ok - cool - It might get to tomorrow night before I can confirm. Thanks again. 👍👍
    Tony
    13 x Classic / 4 x Boom / 2 x Touch / 2 x Radio / 3 Duet / 3 Controller / W10 LMS 8.0.0

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •